Member Nodes - Task #3725
MNDeployment # 3552 (Closed): USGS CSAS

Re-sync new USGS content
2013-04-23 19:39 - Skye Roseboom
Priority: Normal Due date:

Assignee: Chris Jones % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Story Points:

Description

Ranjeet mentioned some new content on USGS CSAS MN that have not appeared on the CN. The new content has DOI style
identifiers: doi:10.5066/F7FQ9TJD

It sounds like there may be a sync issue between the new content and DataONE related to a new index being swapped into the
member node that the CN thinks it harvested.

For these pids that are not in the DataONE CN, the USGS CSAS will update the 'dateSysMetadataModified' field to current / to
trigger the CN to sync these records (and make available to search).

An example of one of these new documents is: doi:10.5066/F7FQ9TJD

Once this is done, we should confirm the new content has appeared on the CN and is available in search. A list of identifiers/pids will
help confirm.

History

#1 - 2013-05-02 15:10 - Ranjeet Devarakonda
- File To_be_archived.txt added
- File To_be_archived.txt added

New USGS MN index: http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object. But, new content doesn't show up in ONEMercury. Need to do the
same tweak as ORNLDAAC MN.
Need to update formatID in all resourceMaps to ORE manually in CN.

Also, need to set the PID in the attached file as true (Not easy to do this at the MN, because we don't have those ID's anymore)

#2 - 2013-05-02 18:28 - Ranjeet Devarakonda

- Assignee changed from Ranjeet Devarakonda to Skye Roseboom

#3 - 2013-05-09 14:36 - Skye Roseboom

- Assignee changed from Skye Roseboom to Ranjeet Devarakonda

Ranjeet - assigning back to you to update the systemMetadataUpdated date for the objects that have not sync'd to the CN yet. Issue is related to
swapping the USGS index while the CN is actively harvesting documents from the MN. CN thought it had harvested everything but when index swap
occurs, the CN does not know there are new docs with 'old' modified dates.

#4 - 2013-06-24 22:50 - Skye Roseboom

- Assignee changed from Ranjeet Devarakonda to Chris Jones
http://mercury-ops2.ornl.gov/clearinghouse/mn/v1/object

Chris and | talked about attempting to re-set the last harvest date for USGS on the CN to attempt re-harvesting the content missed when the index
was swapped.

#5 - 2013-06-25 16:38 - Chris Jones
- translation missing: en.field_remaining_hours set to 0.0
- Status changed from New to Closed

I've re-sync'd the USGSCSAS content, and now the MN and CNs agree on 240 current science metadata documents. I'll close this ticket now.

Files

To_be_archived.txt 5.26 KB 2013-05-02 Ranjeet Devarakonda
